Bug 496183 - F11 Beta: anaconda kickstart install quits - The Fedora disc was not found in any of your CDROM drives.
F11 Beta: anaconda kickstart install quits - The Fedora disc was not found in...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 23:59 EDT by Gerry Reno
Modified: 2010-06-28 07:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:52:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Reno 2009-04-16 23:59:57 EDT
Description of problem:
Booted F11 Beta DVD (x86_64) with kickstart file on usbkey.  It found the kickstart file and then showed this error:

=============================================================================
The Fedora disc was not found in any of your CDROM drives.  Please insert the Fedora disc and press OK to retry.
=============================================================================

Version-Release number of selected component (if applicable):
F11 Beta

How reproducible:
Always

Steps to Reproduce:
1. Boot F11 Beta DVD (x86_64) with kickstart on usbkey.
2. 
3.
  
Actual results:
Installation stuck.

Expected results:
Installs.

Additional info:
My CD/DVDROM drive is LITE-ON LH20A1H.
Comment 1 Gerry Reno 2009-04-17 00:19:57 EDT
When the installer first starts it does not find the usbkey right away.  It put it on a different device than when it was mounted in the system.  So I guessed a couple devices and the installer found it.  After that the error occurs.

Now, if I guess the device correctly on the kernel line then the installation will proceed and it reads the DVD.
Comment 2 Gerry Reno 2009-04-17 11:13:06 EDT
Just a guess.  This may be related to other CDROM issues where if the CDROM drive spins down then the kernel can no longer read the CDROM.  Sometimes when these problems occur if I eject/reload the CDROM then things can proceed.  The kernel is not spinning the drive back up before trying to read the medium after a delay long enough for the drive to spin down.
Comment 3 Chris Lumens 2009-04-17 11:18:35 EDT
What sorts of error messages do you see on tty3 and tty4?
Comment 4 Gerry Reno 2009-04-17 11:52:22 EDT
I didn't look at the time and I'm a little hesitant to rerun this test because after one of these runs with the usbkey we noticed that anaconda had knocked out an array element in our raid-5 array as I mentioned in one of the other bugs I filed.
Comment 5 Chris Lumens 2009-04-21 11:49:50 EDT
Oh I just noticed this myself.  It appears the problem here is related to media check.
Comment 6 Bug Zapper 2009-06-09 09:58:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 bgator 2009-12-30 16:14:58 EST
Chris, here are the errors mssgs u requested above:


from tty3:
WARNING: error ejecting cdrom sr0: (5, 'Input/output error')
   INFO: set SELinux context for mountpoint /mnt/source to system_u:object_r:mnt_t:s0
   INFO: set SELinux context for newly mounted filesystem root at /mnt/source to system_u:object_r:mnt_t:s0


from tty4:
<7>SELinux: initialized (dev sr0, type iso9660), uses genfs_contexts
<6>sr 6:0:0:0: [sr0] Unhandled sense code
<6>sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
<6>sr 6:0:0:0: [sr0] Sense Key : Medium Error [current]
<4>Info fld=0x10
<6>sr 6:0:0:0: [sr0] Add. Sense: No seek complete
<3>end_request: I/O error, dev sr0, sector 64
<4>isofs_fill_super: bread failed, dev=sr0, iso_blknum=16, block=16


note: some of the error output might be fat fingered

note:  I'm installing fc12, using Sony SATA cdrom <--> usb
Comment 8 Bug Zapper 2010-04-27 09:43:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 07:52:09 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.